there is no vp8 support in youtube.com/html5 page with libwebkit2gtk 2.24 (MSE enabled)
[WebKit-https.git] / Source / WebCore / ChangeLog
index d7aeee8..66147c5 100644 (file)
@@ -1,5 +1,19 @@
 2019-04-10  Philippe Normand  <pnormand@igalia.com>
 
+        there is no vp8 support in youtube.com/html5 page with libwebkit2gtk 2.24 (MSE enabled)
+        https://bugs.webkit.org/show_bug.cgi?id=196615
+
+        Reviewed by Xabier Rodriguez-Calvar.
+
+        Add vp8.0 and vp9.0 in supported mime-types if the corresponding video decoders are found.
+
+        No new tests, existing web-platform-tests cover this change.
+
+        * platform/graphics/gstreamer/GStreamerRegistryScanner.cpp:
+        (WebCore::GStreamerRegistryScanner::initialize):
+
+2019-04-10  Philippe Normand  <pnormand@igalia.com>
+
         [GStreamer] Adaptive streaming playback broken with GStreamer < 1.12
         https://bugs.webkit.org/show_bug.cgi?id=196765